(function() {
  window.bazingaApp.views.homeView = window.bazingaApp.views.abstractModuleView.extend(
    {
      ref: "home.html",

      loaded: function() {
        var lockables = window.bazingaApp.models.navigation.getLockables();

        // Buttons register touches as clicks
        $(".fancyBtn").on("click", function() {
          if ($(this).hasClass("is-disabled")) {
            return false;
          }

          $(".topicPopup").removeClass("current");
          $(this)
            .find(".topicPopup")
            .addClass("current");

          $(".topicPopup:not(.current)").fadeOut();
          $(this)
            .find(".topicPopup")
            .fadeToggle();
        });
      },

      visitedImg: function() {
        console.log("Visited");
      }
    }
  );

  window.pageIntialized = false;
  $(document).ready(function() {
    window.bazingaApp.homeView = new window.bazingaApp.views.homeView();
    window.bazingaApp.homeView.load();
  });
})();
